﻿@model ImageGalleryPageViewModel

@{
    ViewBag.Title = "Image gallery - Albums";
    Layout = "~/Views/Shared/_MyJumbulaLayout.cshtml";
}
<section class="span9 pull-left myjb-content column">
    <!-- =============================================================================== -->
    <div class="myjb-item myjb-gallery">
        <div class="pull-left myjb-header span12">
            <h2>Image gallery - Albums</h2>
        </div>
        <!-- ==================================toggle switch================================== -->

        <div class="toggle-switch pull-left span7">
            <div class="switch switch-five">
                <input class="filter all" data-filter="all" id="all-toggle" name="view5" type="radio" checked="">
                <label for="all-toggle" class="hidden-phone" onclick="">all</label>
                <label for="all-toggle" class="visible-phone" onclick="">@Html.Image("/images/ico/all.png")</label>
                <input class="filter item-@ImageGalleryType.Club" data-filter="item-@ImageGalleryType.Club" id="club-toggle" name="view5" type="radio" >
                <label for="club-toggle" class="hidden-phone" onclick="">club</label>
                <label for="club-toggle" class="visible-phone" onclick="">@Html.Image("/images/ico/club.png")</label>
                <input class="filter item-@ImageGalleryType.Camp" data-filter="item-@ImageGalleryType.Camp" id="camp-toggle" name="view5" type="radio">
                <label for="camp-toggle" class="hidden-phone" onclick="">camp</label>
                <label for="camp-toggle" class="visible-phone" onclick="">@Html.Image("/images/ico/camp.png")</label>
                <input class="filter item-@ImageGalleryType.Tourney" data-filter="item-@ImageGalleryType.Tourney" id="tourney-toggle" name="view5" type="radio">
                <label class="hidden-tablet hidden-phone" for="tourney-toggle" onclick="">tournament</label>
                <label for="tourney-toggle" class="visible-phone" onclick="">@Html.Image("/images/ico/tourney.png")</label>
                <label class="hidden-desktop hidden-phone" for="tourney-toggle" onclick="">tourney</label>
                <input class="filter item-@ImageGalleryType.Course" data-filter="item-@ImageGalleryType.Course" id="class-toggle" name="view5" type="radio">
                <label for="class-toggle" class="hidden-phone" onclick="">class</label>
                <label for="class-toggle" class="visible-phone" onclick="">@Html.Image("/images/ico/class.png")</label>
                <span class="slide-button"></span>
            </div>
        </div>
        <!-- =======================================albums====================================== -->

        <div class="myjb-albums pull-left" id="Grid">
            @if (Model.Club!=null)
            {
            @Html.Partial("_DisplayGallery", Model.Club)
            }

            @foreach (var item in Model.Events)
            {
                @Html.Partial("_DisplayGallery", item)
            }            
        </div>


        <div>
            @if (Model.Images.Count > 0)
            {
                foreach (var item in Model.Images)
                {
                @Html.Partial("_AlbumItems", item)   
                }
            }
        </div>

        @* @Html.Hidden("hdn_clubDomain", (string)ViewBag.clubDomain)*@

    </div>
</section>




